## CRISPy
Computational Ridge Identification with SCMS for Python

[![Documentation Status](https://readthedocs.org/projects/crispy-learn/badge/?version=latest)](https://crispy-learn.readthedocs.io/en/latest/)

## Overview

CRISPy is a Python library for identifying density ridges in multidimensional data using 
the Subspace Constrained Mean Shift (SCMS) algorithm. While tailored for astrophysics, it
offers versatile 2D and 3D post-processing tools, including gridding and skeletonization of
results in image space.

## Documentation

Visit CRISPy's [documentation](https://crispy-learn.readthedocs.io/en/latest/) on Read the Docs (RTD) for detailed information on instructions, usage examples, and API details.

## Quick Install

To install the latest version of CRISPy, clone this repository and run the following in your local directory:

```bash
    git clone https://github.com/mcyc/crispy.git
    cd crispy
    pip install -e .
```

For more details, please visit `CRISPy`'s [documentation](https://crispy-learn.readthedocs.io/en/latest/).